{% extends 'base.html' %}

<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="stylesheet" href="style.css">
    <title>{% block title %}Lista Equipamentos{% endblock %}</title>
</head>

<body>
    {% block sidebar %}
      {{ block.super }}
    {% endblock %}


    {% block content %}
    <div class="container">
        <table class="table">
          <thead>
            <tr>
              <th scope="col">Service Tag</th>
              <th scope="col">Modelo</th>
              <th scope="col">Processador</th>
              <th scope="col">Armazenamento</th>
              <th scope="col">Memória</th>
            </tr>
          </thead>
              {% for equipamento in equipamentos %}
              <tbody>
                  <tr>
                    <th scope="row">{{ equipamento.service_tag }}</th>
                    <td>{{ equipamento.modelo }}</td>
                    <td>{{ equipamento.processador }}</td>
                    <td>{{ equipamento.armazenamento }}</td>
                    <td>{{ equipamento.memoria }}</td>
                    <td> <a href="{% url 'edit_equipamento' equipamento.id %}">Editar</a> </td>
                    <td> <a href="{% url 'delete_equipamento' equipamento.id %}">Deletar</a></td>
                  </tr>
                </tbody>
              {% endfor %}
            
          </table>
      </div>
    {% endblock %}

    {% block footer %} 
    <br>
    <footer class="container">
        
    </footer>
    {% endblock %}
</body>
</html>